org.apache.solr.handler.dataimport

## Class DIHProperties

- java.lang.Object
- - org.apache.solr.handler.dataimport.DIHProperties

- Direct Known Subclasses:
    SimplePropertiesWriter

      public abstract class DIHProperties
      extends Object

  Implementations write out properties about the last data import for use by the next import. ex: to persist the last import timestamp so that future delta imports can know what needs to be updated.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIHProperties()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `convertDateToString(Date d)`
    `Date` | `getCurrentTimestamp()`
    `abstract void` | `init(DataImporter dataImporter, Map<String,String> initParams)`
    `abstract boolean` | `isWritable()`
    `abstract void` | `persist(Map<String,Object> props)`
    `abstract Map<String,Object>` | `readIndexerProperties()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DIHProperties

          public DIHProperties()

  - ### Method Detail

    - #### init

          public abstract void init(DataImporter dataImporter,
                                    Map<String,String> initParams)

    - #### isWritable

          public abstract boolean isWritable()

    - #### persist

          public abstract void persist(Map<String,Object> props)

    - #### readIndexerProperties

          public abstract Map<String,Object> readIndexerProperties()

    - #### convertDateToString

          public abstract String convertDateToString(Date d)

    - #### getCurrentTimestamp

          public Date getCurrentTimestamp()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.